#!/usr/bin/env lua

CONFIG_PATH = "/etc/ulatencyd/cgroups.conf"

chunk = loadfile(CONFIG_PATH)
if not chunk then
  print("can't load config")
  os.exit(1)
end

chunk()

require("posix")


if string.sub(CGROUP_ROOT, -1) ~= "/" then
  CGROUP_ROOT = CGROUP_ROOT .. "/"
end

if not arg[1] then
  print "path required"
  os.exit(1)
end

for mnt,_ in pairs(CGROUP_MOUNTPOINTS) do
  local path = CGROUP_ROOT .. mnt .. "/" .. arg[1]
  if posix.access(path) == 0 then
    if posix.rmdir(path) == 0 then
      os.exit(0)
    end
  end
end

os.exit(1)
